<?php
$title = 'Вывод средств с аккаунта';
require ($_SERVER['DOCUMENT_ROOT'].'/core/sys.php');
require ($_SERVER['DOCUMENT_ROOT'].'/api/moneyback/out.php');
require ($_SERVER['DOCUMENT_ROOT'].'/core/head.php');
if(!isset($user)){
header('Location: /');
exit;
}
$pr = 4;

if(isset($_POST['merchant'])){

$wp = array(
'money' => trim(filter_input(INPUT_POST, 'money', FILTER_UNSAFE_RAW)),
'type' => trim(filter_input(INPUT_POST, 'type', FILTER_UNSAFE_RAW)),
);
$money = number_format($wp['money'], 2, '.', '');

if($wp['type'] != 'wmr' and $wp['type'] != 'wmz' and $wp['type'] != 'wme' and $wp['type'] != 'wmu' and $wp['type'] != 'qiwi' and $wp['type'] != 'yandex' and $merch != 'mobile'){
$_SESSION['error'] = 'Выберите способ вывода';
header('Location: /setting/my/merchant.aspx');
exit;
}
elseif($money < 1.05){
$_SESSION['error'] = 'Сумма не может быть меньше 1 рубля.';
header('Location: /setting/my/merchant.aspx');
exit;
}
elseif($money > $user['money']){
$_SESSION['error'] = 'У вас нет такой суммы на вывод !';
header('Location: /setting/my/merchant.aspx');
exit;
}
elseif($user['pay'] + (86400 * 3) > time()){
$_SESSION['message'] = 'Вы недавно изменили кошелек , вам вывод не доступен !';
header('Location: /setting/my/merchant.aspx');
exit();
}
else{
if($wp['type'] == 'qiwi'){
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$user['id']]);
money_log($user['id'],'-'.$money,'Вывод средств QIWI');

$money =  $money - ($money*($pr/100));
$money = number_format($money, 2, '.', '');

qiwi($user[$wp['type']],$money);
}
elseif($wp['type'] == 'yandex'){
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$user['id']]);
money_log($user['id'],'-'.$money,'Вывод средств Ya.Деньги');

$money =  $money - ($money*($pr/100));
$money = number_format($money, 2, '.', '');

ya($user[$wp['type']],$money);
}
elseif($wp['type'] == 'mobile'){
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$user['id']]);
money_log($user['id'],'-'.$money,'Вывод средств Мобильный телефон');

$money =  $money - ($money*($pr/100));
$money = number_format($money, 2, '.', '');

mobile($user[$wp['type']],$money);
}
else{
$update = $db->prepare("UPDATE `users` SET `money` = `money` - ? WHERE `id` = ?");
$update -> execute([$money,$user['id']]);
money_log($user['id'],'-'.$money,'Вывод средств WebMoney');

$money =  $money - ($money*($pr/100));
$money = number_format($money, 2, '.', '');

$sql = $db->prepare("INSERT INTO `moneyback` (`money`,`user`,`time`,`wmr`) VALUE (?,?,?,?)");
$sql -> execute([$money,$user['id'],time(),$user[$wp['type']]]);
}

$_SESSION['message'] = 'Заявка на вывод успешно принята , ожидайте зачисления средств.';
header('Location: /setting/my/merchant.aspx');
exit;
}
}
?>
<script>
function gebi(xxx){
    return document.getElementById(xxx);
}
function moneyFormat(n) {
    return parseFloat(n).toFixed(2).replace(/(\d)(?=(\d{3})+\.)/g, "$1 ").replace('.', ',');
}
function update_sum_x(){
    var sum_in_v = gebi("sum_in_x").value.replace(",",".");
    if (!sum_in_v>0){
        sum_in_v=0;
    }
    var bonus_sum = moneyFormat(sum_in_v - (sum_in_v * (<?=$pr/100?>))); 
    gebi("in_res_sum_x").innerHTML= bonus_sum+" pублей.";   
}

function showOrHide(cb, cat) {
    cb = document.getElementById(cb);
    cat = document.getElementById(cat);
    if (cb.checked) cat.style.display = "block";
    else cat.style.display = "none";
}
</script>

<div class="panel panel-info">
    <div style="padding:15px;" class="panel-heading"><h4 class="panel-title">Вывод средств</h4></div>
				<div class="panel-body">
				<form action="" method="post">
				<a class="list-group-item">
				<h3>Сумма к выводу</h3> <br />
				<input type="number" min="0.00" max="10000.00" step="0.01" name="money"  style="width: 100%;" size="8" placeholder="Cумма вывода" id="sum_in_x" value="<?=$user['money']?>" onclick="update_sum_x();" onkeyup="update_sum_x();">
				</a>
                <a class="list-group-item">
                <h3> Способ вывода: </h3><br />
<select id="moneybackType" name="type" style="width: 100%;" <?=$value?>>
<option value="">Выбрать</option>
                                   <?
									if(intval($user['wmr']) != 0) echo '<option value="wmr">'.$user['wmr'].' | WMR</option>';
                                    if(intval($user['wmz']) != 0) echo '<option value="wmz">'.$user['wmz'].' | WMZ</option>';
                                    if(intval($user['wme']) != 0) echo '<option value="wme">'.$user['wme'].' | WME</option>';
                                    if(intval($user['wmu']) != 0) echo '<option value="wmu">'.$user['wmu'].' | WMU</option>';
                                    if(intval($user['qiwi']) != 0) echo '<option value="qiwi">'.$user['qiwi'].' | Qiwi</option>';
                                    if(intval($user['yandex']) != 0) echo '<option value="yandex">'.$user['yandex'].' | Yandex</option>';
                                    if(intval($user['mobile']) != 0) echo '<option value="mobile">'.$user['mobile'].' | Моб.тел</option>';
									?>
</select><br />
</a>
<?
if($user['pay'] + (86400 * 3) > time()){
echo '<a class="list-group-item" style="text-align:center;padding:15px;"><span class="label label-danger" style="padding:10px;">Временно не доступен</span></a>';
}else{
?>
<a class="list-group-item" style="text-align:center;"><input  type="submit" name="merchant" value="Вывести"></a>
<?
}
?>

</div>
</form>
<div style="padding:15px;" class="panel-footer"><h4 class="panel-title">Сумма к выводу с комиссией системы (<?=$pr?>%) : <span  id="in_res_sum_x"">Идет подсчет</span></h4></div>
			</div>

<div class="col-md-16 mt-3">
<div class="card">
<div class="card-body"> 
Срок вывода от 5 минут до 24 часов </br>
При задержке при выводе обратитесь в тех.поддержку</br>
</div></div></div>
<?

require ($_SERVER['DOCUMENT_ROOT'].'/core/foot.php');